Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227237 - ypxfrd policy broken out of the box
Summary: ypxfrd policy broken out of the box
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-03 21:31 UTC by Roland McGrath
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-22 14:13:57 UTC


Attachments (Terms of Use)

Description Roland McGrath 2007-02-03 21:31:53 UTC
Description of problem:

After vanilla install of FC6, chkconfig ypserv on and service ypserv start,
ypxfrd is not allowed to work.

Version-Release number of selected component (if applicable):
rselinux-policy-targeted-2.4.6-27.fc6
ypserv-2.19-3

How reproducible:


Steps to Reproduce:
1. domainname something; /usr/lib/yp/ypinit -m
2. service ypserv start
3. dmesg | grep avc
  
Actual results:


Expected results:


Additional info:
audit(1170530327.976:4): avc:  denied  { use } for  pid=3284 comm="rpc.ypxfrd"
name="0" dev=devpts ino=2 scontext=system_u:system_r:ypxfr_t:s0
tcontext=system_u:system_r:init_t:s0 tclass=fd
audit(1170530327.976:5): avc:  denied  { use } for  pid=3284 comm="rpc.ypxfrd"
name="0" dev=devpts ino=2 scontext=system_u:system_r:ypxfr_t:s0
tcontext=system_u:system_r:init_t:s0 tclass=fd
audit(1170530327.976:6): avc:  denied  { use } for  pid=3284 comm="rpc.ypxfrd"
name="0" dev=devpts ino=2 scontext=system_u:system_r:ypxfr_t:s0
tcontext=system_u:system_r:init_t:s0 tclass=fd
audit(1170530327.979:7): avc:  denied  { read } for  pid=3288 comm="rpc.ypxfrd"
name="localtime" dev=dm-0 ino=1114162 scontext=system_u:system_r:ypxfr_t:s0
tcontext=system_u:object_r:locale_t:s0 tclass=file
audit(1170530327.979:8): avc:  denied  { read } for  pid=3288 comm="rpc.ypxfrd"
name="localtime" dev=dm-0 ino=1114162 scontext=system_u:system_r:ypxfr_t:s0
tcontext=system_u:object_r:locale_t:s0 tclass=file
audit(1170530327.979:9): avc:  denied  { read } for  pid=3288 comm="rpc.ypxfrd"
name="localtime" dev=dm-0 ino=1114162 scontext=system_u:system_r:ypxfr_t:s0
tcontext=system_u:object_r:locale_t:s0 tclass=file
audit(1170530327.979:10): avc:  denied  { read } for  pid=3288 comm="rpc.ypxfrd"
name="localtime" dev=dm-0 ino=1114162 scontext=system_u:system_r:ypxfr_t:s0
tcontext=system_u:object_r:locale_t:s0 tclass=file
audit(1170530327.979:11): avc:  denied  { create } for  pid=3288
comm="rpc.ypxfrd" scontext=system_u:system_r:ypxfr_t:s0
tcontext=system_u:system_r:ypxfr_t:s0 tclass=unix_dgram_socket
audit(1170530327.979:12): avc:  denied  { read } for  pid=3288 comm="rpc.ypxfrd"
name="ypserv.conf" dev=dm-0 ino=1116014 scontext=system_u:system_r:ypxfr_t:s0
tcontext=system_u:object_r:ypserv_conf_t:s0 tclass=file
audit(1170530327.979:13): avc:  denied  { create } for  pid=3288
comm="rpc.ypxfrd" scontext=system_u:system_r:ypxfr_t:s0
tcontext=system_u:system_r:ypxfr_t:s0 tclass=netlink_route_socket

Comment 1 Roland McGrath 2007-02-03 21:32:49 UTC
sorry, needs service ypxfrd start after service ypserv start too

Comment 2 Daniel Walsh 2007-02-05 21:21:34 UTC
Fixed in selinux-policy-2.4.6-36

Comment 3 Daniel Walsh 2007-08-22 14:13:57 UTC
Fixed in current release


Note You need to log in before you can comment on or make changes to this bug.